aboutsummaryrefslogtreecommitdiff
path: root/t/test-lib.sh
diff options
context:
space:
mode:
authorJunio C Hamano <gitster@pobox.com>2013-04-03 09:25:15 -0700
committerJunio C Hamano <gitster@pobox.com>2013-04-03 09:25:15 -0700
commita9dc3b64814f6fd1b978f10c6565bedae5965ad9 (patch)
treef4f89650414e3a772754c413e0086a68d8475d65 /t/test-lib.sh
parent9e72a566995ae84862a341e3a149a4bcaf96385d (diff)
parentbd54cf17a4acfb9555b8a83b7e74fb0274c38bb4 (diff)
downloadgit-a9dc3b64814f6fd1b978f10c6565bedae5965ad9.tar.gz
git-a9dc3b64814f6fd1b978f10c6565bedae5965ad9.tar.xz
Merge branch 'jk/empty-archive' into maint
"git archive" reports a failure when asked to create an archive out of an empty tree. It would be more intuitive to give an empty archive back in such a case. * jk/empty-archive: archive: handle commits with an empty tree test-lib: factor out $GIT_UNZIP setup
Diffstat (limited to 't/test-lib.sh')
-rw-r--r--t/test-lib.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/t/test-lib.sh b/t/test-lib.sh
index 9e7f6b424..1f510252a 100644
--- a/t/test-lib.sh
+++ b/t/test-lib.sh
@@ -760,3 +760,9 @@ test_lazy_prereq AUTOIDENT '
# When the tests are run as root, permission tests will report that
# things are writable when they shouldn't be.
test -w / || test_set_prereq SANITY
+
+GIT_UNZIP=${GIT_UNZIP:-unzip}
+test_lazy_prereq UNZIP '
+ "$GIT_UNZIP" -v
+ test $? -ne 127
+'